Subject: Re: [arch-d] Valid and Invalid Internet architectures and approaches

From: Brian E Carpenter <[email-masked]>
Date: Mon, 10 Apr 2006 15:04:22 +0200

Tony Li wrote:
> Brian,
> 
> 
> 
>>>Without these types of capabilities, the architecture is stuck
>>>supporting multihoming and mobility with kludges such as NAT, SHIM6 (NAT
>>>in the host), and various forms of tunneling.
>>
>>I don't understand why you disparage SHIM6 (end-to-end NAT-in-the-host)
>>but don't disparage GSE (edge-to-edge NAT-in-the-router). It was thinking
>>about the end-to-end problems created by GSE that led directly to the
>>conception of SHIM6. 
> 
> 
> 
> I don't consider NAT to be disparagement -- just taxonomy.  Yes,
> architecturally NAT is a kludge, but I'm fine with judiciously applied
> kludges.  Sometimes kludges are *THE* pragmatic approach to forward
> progress.  If you have further questions concerning my tolerance for
> kludges, I suggest that you consult any of my former IOS development
> colleagues -- they will probably give you an earful.  ;-)

I'll look forward to it :-)
> 
> As to GSE, I'm not sure that I consider GSE to be in the exact same
> realm as NAT.  Yes, architecturally, swapping locators around offends my
> sense of preserving the pristine packet (as does modifying the DSCP),
> but inherently the locator is an ephemeral entity, much as a transient
> MAC address on the frame, somewhere in the middle of a transit ISP.  In
> GSE, the EID is the true invariant in the packet, providing end-to-end
> context.

Exactly, and in SHIM6 it's the ULID that performs this function -
except that it's virtual while the packet is in flight. The point in
both cases was to get away from the asymmetry caused by NAT.

     Brian

_______________________________________________
Architecture-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/architecture-discuss